Bug 1643530 - [RFE] OS parameter to override PXE Loader
Summary: [RFE] OS parameter to override PXE Loader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.3.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: 6.7.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-26 13:06 UTC by Suraj Patil
Modified: 2020-04-14 13:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25356 Normal Closed OS parameter to override PXE Loader 2020-02-12 07:35:36 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:40 UTC

Description Suraj Patil 2018-10-26 13:06:33 UTC
1. Proposed title of this feature request

There should be some global setting to set PXE Loader which can be used while provisioning if PXE Loader in not explicitly mentioned. 

2. What is the nature and description of the request?

Customer have multiple nested host group where PXE Loader is not set therefore while provisioning satellite fails to create TFTP file /var/lib/tftpboot/pxelinux.cfg/ 
As in parent hostgroup operating system is not selected, customer cannot set PXE loader as PXE loader option is disable. 

3. How would the customer like to achieve this? (List the functional requirements here)
==> There should be PXE Loader setting in Administer > settings > provisioning. 

4. Does the customer have any specific time-line dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
==> No.

5. Is the sales team involved in this request and do they have any additional input?
==> No.

Comment 2 Lukas Zapletal 2018-10-30 13:43:31 UTC
We briefly discussed this when implementing this feature and we agreed on not introducing this field because PXE loader is nothing else than a regular host field. We already have overwhelming amount of global options. Please use Host groups for that.

Comment 4 Lukas Zapletal 2018-10-31 14:46:09 UTC
I don't like any of the suggestions, global is just another value in the heap of settings we want to eventually shrink rather than top up. OS needs to be filled in because we suggest PXE loader according to PXE templates associated with an OS.

However I am sending a simple patch (one line) upstream to allow you to override PXE loader via OS parameter named "pxe-loader". You need to set this for each Operating System but this would do it.

Comment 6 pm-sat@redhat.com 2018-10-31 16:00:59 UTC
Upstream bug assigned to lzap@redhat.com

Comment 7 pm-sat@redhat.com 2018-10-31 16:01:03 UTC
Upstream bug assigned to lzap@redhat.com

Comment 8 Bryan Kearney 2019-09-10 12:00:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25356 has been resolved.

Comment 9 Roman Plevka 2020-02-05 10:32:57 UTC
Verified
on sat6.7.0 snap#10

- the pxeloader is now automatically loaded from the OS parameter, however the hin about so-called "overriding" is a bit misleading, as it's not as much of overriding as picking up a 'default' value.

- My first impression was that this should override whatever pxe-loader i choose during host creation but it doesn't work like that, it works the other way around - The pxe-loader field actually overrides the OS parameter.

Comment 10 Lukas Zapletal 2020-02-12 07:36:48 UTC
And I believe it is correct:

> 1. Proposed title of this feature request

> There should be some global setting to set PXE Loader which can be used while provisioning if PXE Loader in not explicitly mentioned.

Comment 13 errata-xmlrpc 2020-04-14 13:23:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.